> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aiid.edu.kg/llms.txt
> Use this file to discover all available pages before exploring further.

# Kling の画像から動画へのタスク状態を取得

> このシリーズはOpenAIの動画生成形式をサポートしています（詳細はリンク [動画生成Sora互換形式](/api-reference/ja/video-generation-sora-compatible-format/create-video) を参照してください）。

Kling の画像から動画生成タスクのステータスと結果を取得します。



## OpenAPI

````yaml api-reference/ja/openapi.json GET /kling/v1/videos/image2video/{task_id}
openapi: 3.0.0
info:
  title: 出海营 API 参考ドキュメント
  version: 1.0.0
  description: Public AI Gateway API Reference
servers:
  - url: https://api.aiid.edu.kg
security:
  - BearerAuth: []
tags:
  - name: OpenAI形式(Chat)
  - name: OpenAI形式（Responses）
  - name: 画像生成Gemini形式
  - name: 画像生成OpenAI DALL-E形式
  - name: モデル一覧の取得
  - name: 動画生成HappyHorseとWan
  - name: 動画生成Kling形式
  - name: 動画生成OmniとVeo形式
  - name: Video generation Seedance
  - name: 動画生成Sora対応形式
  - name: Video generation Vidu
  - name: 音楽生成タスクの形式
paths:
  /kling/v1/videos/image2video/{task_id}:
    get:
      tags:
        - 動画生成Kling形式
      summary: Kling の画像から動画へのタスク状態を取得
      description: >-
        このシリーズはOpenAIの動画生成形式をサポートしています（詳細はリンク
        [動画生成Sora互換形式](/api-reference/ja/video-generation-sora-compatible-format/create-video)
        を参照してください）。


        Kling の画像から動画生成タスクのステータスと結果を取得します。
      operationId: getKlingImage2Video
      parameters:
        - name: task_id
          in: path
          description: タスクID
          required: true
          example: task-abc123
          schema:
            type: string
      responses:
        '200':
          description: タスクステータスの取得に成功しました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoTaskResponse'
          headers: {}
        '404':
          description: タスクが存在しません
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  schemas:
    VideoTaskResponse:
      type: object
      description: 動画タスクステータス照会レスポンス
      properties:
        task_id:
          type: string
          description: タスクID
          example: abcd1234efgh
        status:
          type: string
          description: タスクステータス
          enum:
            - queued
            - in_progress
            - completed
            - failed
          example: completed
        url:
          type: string
          description: 動画リソースのURL（成功時）
          example: https://example.com/video.mp4
        format:
          type: string
          description: 動画形式
          example: mp4
        metadata:
          $ref: '#/components/schemas/VideoTaskMetadata'
        error:
          $ref: '#/components/schemas/VideoTaskError'
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              description: エラーメッセージ
            type:
              type: string
              description: エラータイプ
            param:
              type: string
              description: 関連パラメータ
              nullable: true
            code:
              type: string
              description: エラーコード
              nullable: true
    VideoTaskMetadata:
      type: object
      description: 動画タスクメタデータ
      properties:
        duration:
          type: number
          description: 実際に生成された動画の長さ
          example: 5
        fps:
          type: integer
          description: 実際のフレームレート
          example: 30
        width:
          type: integer
          description: 実際の幅
          example: 1280
        height:
          type: integer
          description: 実際の高さ
          example: 720
        seed:
          type: integer
          description: 使用される乱数シード
          example: 20231234
    VideoTaskError:
      type: object
      description: ビデオタスクのエラーメッセージ
      properties:
        code:
          type: integer
          description: エラーコード
        message:
          type: string
          description: エラーメッセージ
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |-
        Bearer Token を使用して認証します。
        形式: `Authorization: Bearer sk-xxxxxx`

````